function triggerFirstPage() {			
	createMainContent('FS_SUMMARY');
}

  var appConfig = {
    'defaultMode': '0',
	'redirectApplicationUrl': 'https://dfrel124oel6u3.us.oracle.com:7002/WipEdit/mro/life/app/faces/offer',
	//'redirectApplicationUrl': 'http://dfrel124oel6u3.us.oracle.com:7001/Documaker-Mobile/faces/OIPA-offer',
    'headerSectionName': 'HDR ALL'
  };

//new data type for documaker chart types
var DOCUMAKERCHARTS = {
	TWODPIE: "2DPIE",
	TWODVBAR: "2DVBAR",
	THREEDAREA: "3DAREA",
	THREEDPERCAREA: "3DPERCAREA",
	TWODTOPVBAR: "2DTOPVBAR"
};

function ChartFactory() {

	var chart;
	this.createChart = function (documakerChartType) {
						
		if ( documakerChartType == DOCUMAKERCHARTS.TWODPIE){
			chart = new PieChart();
		} else if( documakerChartType == DOCUMAKERCHARTS.TWODVBAR){
			chart = BarChart();
		} else if( documakerChartType == DOCUMAKERCHARTS.TWODTOPVBAR){
			stacked = true;
			chart = StackedBarChart();
		} else if( documakerChartType == DOCUMAKERCHARTS.THREEDAREA){
			AreaChart();
		} else if( documakerChartType == DOCUMAKERCHARTS.THREEDPERCAREA){
			chart = AreaChart();
		} 
	}
	
	return chart;
}





function loadShellSectionsTemplate(){	

var shellsectionHTML = "<div id='summary' class='contentPage' style='display: block;'> </div>"+
"<div id='performance'> </div>"+
"<div id='allocation'> </div>"+
"<div id='overview'> </div>"+
"<script>"+

	"function selectHandler(e) {"+							
		"if (chartObjects.length > 0) {"+
			"var aPieChart = chartObjects[0];"+
			"var aDataTable = dataTables[0];"+		
			"var selection = aPieChart.getSelection();"+

			"if (typeof(selection[0]) == 'undefined')"+
				"return false;"+
			"var selectedValue = aDataTable.getValue(selection[0].row, 0);"+
									
			"highlightCorrespondingTableRow('CURRENTASSETALLOCATIONBYCLASST2' , selectedValue);"+
			"highlightCorrespondingTableRow('CURRENTASSETALLOCATIONBYCLASS_122T1', selectedValue);"+
		"}"+
	"}"+
		
	"function highlightCorrespondingTableRow(tableName, selectedValue) {"+			
		"var rowNum = 0;"+			
		"$('#'+tableName+' tbody').find('tr').each(function(){"+
			"$(this).css('background-color', 'transparent');"+
		"});"+

		"$('#'+tableName+' tbody tr').find('td:first').each(function(){"+								
			"var cellValue = $(this).text();"+
			"if (cellValue == selectedValue) {"+
				"return false;"+
			"}"+
			"rowNum++;"+					
		"});"+					
	  "$($('#'+tableName+' tbody').children()[rowNum]).css('background-color','#0193BC');"+
		
	"}"+ 
	
			
"</script>";	
$("#shellsection").html(shellsectionHTML);
	//$("#shellsection").load("resources/templates/shellsections.html", function(responseText, statusText, xhr)
	//{		
		//if(statusText == "success"){	
			//as of now do nothing					
		//}	
		//else if(statusText == "error"){										
			//alert("An error occurred while loading HTML template: " + xhr.status + " - " + xhr.statusText);					
		//}				
	//});		
}	

function loadSummaryTemplate(){
var summaryHTML = 
"<div id='FS_SUMMARY1'>"+
    "<h3 class='MinDisplay, NotPhoneContent, template' lookupField='TOTAL_RELATIONSHIP_SUMMARY'>x-x</h3>"+
    "<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE'>x-x</h4>"+
	"<br>"+
    "<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_19'><em></em>x-x </p>"+

    "<div class='mainTotalMarketValue'>"+
       "<h3 class='template' style='display:inline' lookupField='TOTAL_MARKET_VALUE'>x-x</h3>"+
	   "<h3 class='template' style='display:inline' lookupField='TOTALMARKETVALUE'>x-x</h3>"+
    "</div>"+	
	"<br>"+
    "<div class='MinDisplay'>"+
        "<div class='leftColumn'>"+
            "<div id='lValueOfPortfolioTable'>"+                
            "</div>"+

            "<div id='lIncomeSummary'>"+                
            "</div>"+
        "</div>"+

        "<div class='rightColumn'>"+	
"<div>"+
"<div id='rCurrentAssetAllocTable'> </div>"+
"<div class='tablesBorder'>"+
"<div id='rCurrentAssetAllocChart'></div>"+    
"</div>"+

"</div>"+
			
        "</div>"+
		
    "</div>"+
	
    "<div class='footspace'></div>"+
	
	"<script>"+
		"$(document).ready(function () {"+			
			"$('#CHANGEINVALUEMANAGEDPORTFOLIODiv1').find('caption').text($('#CHANGE_IN_VALUE_OF_MANAGED_PORTFOLIO_TITLE').html());	"+
			
			"var c1 = $('#CHANGEINVALUEMANAGEDPORTFOLIODiv1').html();"+	
			"$(c1).appendTo($('#lValueOfPortfolioTable'));"+
			"$('#CHANGEINVALUEMANAGEDPORTFOLIODiv1').remove();"+
						
			"$('#INCOMESUMMARYDiv3').find('caption').text($('#INCOME_SUMMARY').html());"+				
			"var c1 = $('#INCOMESUMMARYDiv3').html();"+
			"$(c1).appendTo($('#lIncomeSummary'));"+
			"$('#INCOMESUMMARYDiv3').remove();"+
									
			"var c1 = $('#CURRENTASSETALLOCATIONBYCLASSDiv2').html();"+
			"$(c1).appendTo($('#rCurrentAssetAllocTable'));"+
			"$('#CURRENTASSETALLOCATIONBYCLASSDiv2').remove();"+
								
			"$('#2DPIE_11').detach().appendTo('#rCurrentAssetAllocChart');"+
			
			//eliminating last row (Total) from sorting by moving it to tfooter
			"$('#CURRENTASSETALLOCATIONBYCLASST2 tbody tr:last').detach().appendTo($('#CURRENTASSETALLOCATIONBYCLASST2 tfoot'));"+
			"$('#CURRENTASSETALLOCATIONBYCLASST2').tablesorter();"+
			
			
			"$('#shellsection').show();"+
			
		"});"+	
				
										
	"</script></div>";



$("#summary").html(summaryHTML);processPageFields();
			
	//$("#summary").load("resources/templates/summary.html", function(responseText, statusText, xhr)
	//{				
		//if(statusText == "success"){					
			//processPageFields();			
		//}	
		//else if(statusText == "error"){										
			//alert("An error occurred while loading HTML template: " + xhr.status + " - " + xhr.statusText);					
		//}				
	//});		
}

function loadPerformanceTemplate(){
var TOTAL_RELATIONSHIP_PERFORMANCE = (document.getElementById('TOTAL_RELATIONSHIP_PERFORMANCE')== null) ? "XX_X" : document.getElementById('TOTAL_RELATIONSHIP_PERFORMANCE').innerHTML;
var ASOFDATE_59 = (document.getElementById('ASOFDATE_59')== null) ? "XX_X" : document.getElementById('ASOFDATE_59').innerHTML;
var ID_60 = (document.getElementById('ID_60')== null) ? "XX_X" : document.getElementById('ID_60').innerHTML;
var ID_107 = (document.getElementById('ID_107')== null) ? "XX_X" : document.getElementById('ID_107').innerHTML;
var ID_108 = (document.getElementById('ID_108')== null) ? "XX_X" : document.getElementById('ID_108').innerHTML;
var performanceHTML = "<div id='FS_PERFORMANCE1'>"+	
    "<h3 class='MinDisplay, NotPhoneContent, template' lookupField='TOTAL_RELATIONSHIP_PERFORMANCE'>"+TOTAL_RELATIONSHIP_PERFORMANCE+"</h3>"+
    "<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_59'>"+ASOFDATE_59+"</h4>"+	
	"<br>"+
    "<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_60'><em></em>"+ID_60+"</p>"+	
    	
    "<div class='MinDisplay'>"+
        "<div class='leftColumn'>"+
            "<div id='lAreaChart'>"+                
            "</div>"+
            "<div id='lVBar1'>"+ 
            "</div>"+			
			"<span class='MinDisplay, NotPhoneContent, template' lookupField='ID_107'>"+ID_107+"</span>"+
			"<span class='MinDisplay, NotPhoneContent, template' lookupField='ID_108'>"+ID_108+"</span>"+
			"<br>"+			
        "</div>"+

        "<div class='rightColumn'>"+		
		"<div class='footspace'></div>"+
            "<div id='rCashTable'>"+                
            "</div>"+
			"<div id='rVBar2'>"+                    
             "</div>"+
			 "<br>"+
			 "<div align='center'  style='font-size: 10px;'>"+
			 
			 "<span class='MinDisplay, NotPhoneContent, template' lookupField='ID_106'>x-x</span>"+
			 
			 "</div>"+
        "</div>"+
    "</div>"+

	
	"<script>"+
		"$(document).ready(function () {"+
			"$('#3DAREA_21').detach().appendTo('#lAreaChart');"+

			"$('#ASSETSPERFORMANCEDiv1').find('caption').text($('#ASSETS_PERFORMANCE_TITLE').html());"+
			"var c1 = $('#ASSETSPERFORMANCEDiv1').html();"+
			"$('#rCashTable').append($(c1));"+
			"$('#ASSETSPERFORMANCEDiv1').remove();"+
											
			"$('#CASHT1 tbody tr:eq(0) td:eq(0)').css('font-weight','bold');"+
			"$('#CASHT1 tbody tr:eq(1) td:eq(0)').css('font-weight','bold');"+
			"$('#CASHT1 tbody tr:eq(4) td:eq(0)').css('font-weight','bold');"+
			"$('#CASHT1 tbody tr:eq(7) td:eq(0)').css('font-weight','bold');"+

			"$('#CASHT1 tbody tr:eq(0) td:eq(0)').css('text-align','left');"+
			"$('#CASHT1 tbody tr:eq(1) td:eq(0)').css('text-align','left');"+
			"$('#CASHT1 tbody tr:eq(4) td:eq(0)').css('text-align','left');"+
			"$('#CASHT1 tbody tr:eq(7) td:eq(0)').css('text-align','left');"+				

			"$('#2DVBAR_31').detach().appendTo('#lVBar1');"+
			"$('#2DVBAR_42').detach().appendTo('#rVBar2');"+
															
			"$('#shellsection').show();"+
			
		"});"+
	
	"</script>"+	
	
"</div>";

$("#performance").html(performanceHTML);
processPageFields();
	//$("#performance").load("resources/templates/performance.html", function(responseText, statusText, xhr)
	//{		
		//if(statusText == "success"){	
			//processPageFields();					
		//}	
		//else if(statusText == "error"){										
		//	alert("An error occurred while loading HTML template: " + xhr.status + " - " + xhr.statusText);					
		//}				
	//});		
}	

function loadAllocationTemplate(){
//voteable = (age < 18) ? "Too young":"Old enough";
var TOTAL_RELATIONSHIP_ASSET_ALLOCATION_TITLE = (document.getElementById('TOTAL_RELATIONSHIP_ASSET_ALLOCATION_TITLE')== null) ? "XX_X" : document.getElementById('TOTAL_RELATIONSHIP_ASSET_ALLOCATION_TITLE').innerHTML;
var ASOFDATE_117 = (document.getElementById('ASOFDATE_117')== null) ? "XX_X" : document.getElementById('ASOFDATE_117').innerHTML;
var DISTRIBUTION_OF_RETURNS_PERIODS = (document.getElementById('DISTRIBUTION_OF_RETURNS_PERIODS')== null) ? "XX_X" : document.getElementById('DISTRIBUTION_OF_RETURNS_PERIODS').innerHTML;
var ID_118 = (document.getElementById('ID_118')== null) ? "XX_X" : document.getElementById('ID_118').innerHTML;
var NOTE = (document.getElementById('NOTE')== null) ? "XX_X" : document.getElementById('NOTE').innerHTML;

var allocationHTML = "<div id='FS_ALLOCATION1'>"+
    "<h3 class='MinDisplay, NotPhoneContent, template' lookupField='TOTAL_RELATIONSHIP_ASSET_ALLOCATION_TITLE'>"+TOTAL_RELATIONSHIP_ASSET_ALLOCATION_TITLE+"</h3>"+
    "<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_117'>"+ASOFDATE_117+"</h4>"+
	"<br>"+
    "<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_118'><em></em>"+ID_118+"</p>"+
    "<div class='MinDisplay'>"+		
        "<div class='leftColumn'>"+	
		"<div>"+
			"<div id='lCurrentAssetAllocTable'> </div>"+
			"<div class='tablesBorder'>"+
				"<div id='lCurrentAssetAllocChart'></div>" +   
			"</div>"+
		"</div>"+
            "<div id='lHistoricalReturnsChart'>"+               
                "<div id='lHistoricalReturnsChart'>" +                      
                "</div>"+
            "</div>"+	
		"<span class='MinDisplay, NotPhoneContent, template' lookupField='DISTRIBUTION_OF_RETURNS_PERIODS'>x-x</span>"+	
		"<br>"+
        "</div>"+		
		

        "<div class='rightColumn'>"+	
            "<div id='rAllocHistoryChart'>"+
                "<div id='rAllocHistoryChart'>"+                     
                "</div>"+			
            "</div>"+						
			"<div class='footspace'></div>"+
			"<div id='rHistoricalReturnsChartNote'>"+
				"<p class='MinDisplay, NotPhoneContent, template' lookupField='NOTE'><em></em>"+NOTE+"</p>"+
			"</div>"+
        "</div>"+
    "</div>"+
	
	"<div class='footspace'></div>"+
	"<script>"+
		"$(document).ready(function () {"+	
			"$('#2DPIE_51').detach().appendTo('#lCurrentAssetAllocChart');"+
			
			"var c1 = $('#CURRENTASSETALLOCATIONBYCLASS_120Div1').html();"+	
			"$(c1).appendTo($('#lCurrentAssetAllocTable'));"+
			"$('#CURRENTASSETALLOCATIONBYCLASS_120Div1').remove();"+		
			
			"$('#2DTOPVBAR_71').detach().appendTo('#lHistoricalReturnsChart');"+
			"$('#3DPERCAREA_61').detach().appendTo('#rAllocHistoryChart');"+	
			
			//eliminating last row (Total) from sorting by moving it to tfooter
			"$('#CURRENTASSETALLOCATIONBYCLASS_122T1 tbody tr:last').detach().appendTo($('#CURRENTASSETALLOCATIONBYCLASS_122T1 tfoot'));"+
			"$('#CURRENTASSETALLOCATIONBYCLASS_122T1').tablesorter();"+
			
			"$('#shellsection').show();"+	
		"});"+
	"</script></div>";
	
	$("#allocation").html(allocationHTML);
	processPageFields();		
	//$("#allocation").load("resources/templates/allocation.html", function(responseText, statusText, xhr)
	//{		
	//	if(statusText == "success"){	
	//		processPageFields();					
	//	}	
	//	else if(statusText == "error"){										
	//		alert("An error occurred while loading HTML template: " + xhr.status + " - " + xhr.statusText);					
	//	}				
	//});		
}	

function loadOverviewTemplate(){	

var OVERVIEW_BY_ACCOUNT = (document.getElementById('OVERVIEW_BY_ACCOUNT')== null) ? "XX_X" : document.getElementById('OVERVIEW_BY_ACCOUNT').innerHTML;
var ASOFDATE_162 = (document.getElementById('ASOFDATE_162')== null) ? "XX_X" : document.getElementById('ASOFDATE_162').innerHTML;
var ID_163 = (document.getElementById('ID_163')== null) ? "XX_X" : document.getElementById('ID_163').innerHTML;
var ACCOUNT_DETAILS_FOR_ACCOUNT_ID = (document.getElementById('ACCOUNT_DETAILS_FOR_ACCOUNT_ID')== null) ? "XX_X" : document.getElementById('ACCOUNT_DETAILS_FOR_ACCOUNT_ID').innerHTML;
var ACCOUNTID_182 = (document.getElementById('ACCOUNTID_182')== null) ? "XX_X" : document.getElementById('ACCOUNTID_182').innerHTML;
var ANNUALIZED_TIME_WEIGHTED = (document.getElementById('ANNUALIZED_TIME-WEIGHTED')== null) ? "XX_X" : document.getElementById('ANNUALIZED_TIME-WEIGHTED').innerHTML;
var ACCOUNT_DETAILS_FOR_ACCOUNT_ID_204 = (document.getElementById('ACCOUNT_DETAILS_FOR_ACCOUNT_ID_204')== null) ? "XX_X" : document.getElementById('ACCOUNT_DETAILS_FOR_ACCOUNT_ID_204').innerHTML;
var ACCOUNTID_205 = (document.getElementById('ACCOUNTID_205')== null) ? "XX_X" : document.getElementById('ACCOUNTID_205').innerHTML;

var ANNUALIZED_TIME_WEIGHTED_233 = (document.getElementById('ANNUALIZED_TIME-WEIGHTED_233')== null) ? "XX_X" : document.getElementById('ANNUALIZED_TIME-WEIGHTED_233').innerHTML;
var ACCOUNT_DETAILS_FOR_ACCOUNT_ID_238 = (document.getElementById('ACCOUNT_DETAILS_FOR_ACCOUNT_ID_238')== null) ? "XX_X" : document.getElementById('ACCOUNT_DETAILS_FOR_ACCOUNT_ID_238').innerHTML;
var ACCOUNTID_239 = (document.getElementById('ACCOUNTID_239')== null) ? "XX_X" : document.getElementById('ACCOUNTID_239').innerHTML;
var ANNUALIZED_TIME_WEIGHTED_275 = (document.getElementById('ANNUALIZED_TIME-WEIGHTED_275')== null) ? "XX_X" : document.getElementById('ANNUALIZED_TIME-WEIGHTED_275').innerHTML;
var SUBCLASSNAME = (document.getElementById('SUBCLASSNAME')== null) ? "XX_X" : document.getElementById('SUBCLASSNAME').innerHTML;
var ASOFDATE_287 = (document.getElementById('ASOFDATE_287')== null) ? "XX_X" : document.getElementById('ASOFDATE_287').innerHTML;
var ID_289 = (document.getElementById('ID_289')== null) ? "XX_X" : document.getElementById('ID_289').innerHTML;
var CURRENT_ASSET_ALLOCATION = (document.getElementById('CURRENT_ASSET_ALLOCATION')== null) ? "XX_X" : document.getElementById('CURRENT_ASSET_ALLOCATION').innerHTML;

var SUBCLASSNAME_312 = (document.getElementById('SUBCLASSNAME_312')== null) ? "XX_X" : document.getElementById('SUBCLASSNAME_312').innerHTML;
var ASOFDATE_313 = (document.getElementById('ASOFDATE_313')== null) ? "XX_X" : document.getElementById('ASOFDATE_313').innerHTML;
var CURRENT_ASSET_ALLOCATION_317 = (document.getElementById('CURRENT_ASSET_ALLOCATION_317')== null) ? "XX_X" : document.getElementById('CURRENT_ASSET_ALLOCATION_317').innerHTML;
var SUBCLASSNAME_343 = (document.getElementById('SUBCLASSNAME_343')== null) ? "XX_X" : document.getElementById('SUBCLASSNAME_343').innerHTML;
var ASOFDATE_344 = (document.getElementById('ASOFDATE_344')== null) ? "XX_X" : document.getElementById('ASOFDATE_344').innerHTML;
var CURRENT_ASSET_ALLOCATION_348 = (document.getElementById('CURRENT_ASSET_ALLOCATION_348')== null) ? "XX_X" : document.getElementById('CURRENT_ASSET_ALLOCATION_348').innerHTML;
var SUBCLASSNAME_372 = (document.getElementById('SUBCLASSNAME_372')== null) ? "XX_X" : document.getElementById('SUBCLASSNAME_372').innerHTML;
var ASOFDATE_373 = (document.getElementById('ASOFDATE_373')== null) ? "XX_X" : document.getElementById('ASOFDATE_373').innerHTML;
var ID_376 = (document.getElementById('ID_376')== null) ? "XX_X" : document.getElementById('ID_376').innerHTML;
var CURRENT_ASSET_ALLOCATION_377 = (document.getElementById('CURRENT_ASSET_ALLOCATION_377')== null) ? "XX_X" : document.getElementById('CURRENT_ASSET_ALLOCATION_377').innerHTML;
var SUBCLASSNAME_403 = (document.getElementById('SUBCLASSNAME_403')== null) ? "XX_X" : document.getElementById('SUBCLASSNAME_403').innerHTML;
var ASOFDATE_404 = (document.getElementById('ASOFDATE_404')== null) ? "XX_X" : document.getElementById('ASOFDATE_404').innerHTML;
var ID_407 = (document.getElementById('ID_407')== null) ? "XX_X" : document.getElementById('ID_407').innerHTML;
var CURRENT_ASSET_ALLOCATION_408 = (document.getElementById('CURRENT_ASSET_ALLOCATION_408')== null) ? "XX_X" : document.getElementById('CURRENT_ASSET_ALLOCATION_408').innerHTML;
var SUBCLASSNAME_432 = (document.getElementById('SUBCLASSNAME_432')== null) ? "XX_X" : document.getElementById('SUBCLASSNAME_432').innerHTML;
var ASOFDATE_433 = (document.getElementById('ASOFDATE_433')== null) ? "XX_X" : document.getElementById('ASOFDATE_433').innerHTML;
var ID_436 = (document.getElementById('ID_436')== null) ? "XX_X" : document.getElementById('ID_436').innerHTML;
var CURRENT_ASSET_ALLOCATION_437 = (document.getElementById('CURRENT_ASSET_ALLOCATION_437')== null) ? "XX_X" : document.getElementById('CURRENT_ASSET_ALLOCATION_437').innerHTML;
var overviewHTML= "<div id='FS_OVERVIEW1'>"+
    "<h3 class='MinDisplay, NotPhoneContent, template' lookupField='OVERVIEW_BY_ACCOUNT'>"+OVERVIEW_BY_ACCOUNT+"</h3>"+
    "<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_162'>"+ASOFDATE_162+"</h4>"+
	"<br>"+
    "<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_163'><em></em>"+ID_163+"</p>"+
		
    "<div class='MinDisplay'>"+

		"<div id='mAccountsTable'> </div>"+
		
		"<br>"+
		"<br>"+
		"<div id='account1'>"+
			"<div>"+
			"<h4 class='MinDisplay, NotPhoneContent, template' style='display:inline' lookupField='ACCOUNT_DETAILS_FOR_ACCOUNT_ID'>"+ACCOUNT_DETAILS_FOR_ACCOUNT_ID+"</h4>"+
			"<h4 class='MinDisplay, NotPhoneContent, template' style='display:inline' lookupField='ACCOUNTID_182'>"+ACCOUNTID_182+"</h4>"+
			"</div>"+
			"<br>"+
			"<div class='leftColumn'>"+	 
				           
				"<div id='lCurrentAssetAllocChart1'> </div>"+   
			
                "<br><br><br><br><br><br>"+       
				"<div id='lQuarterlyReturnTable1'>"+                
					"<div id='lQuarterlyReturnTable1'> </div>"+                                     
				"</div>"+
				"<br>"+
				"<span class='MinDisplay, NotPhoneContent, template' lookupField='ANNUALIZED_TIME-WEIGHTED'>"+ANNUALIZED_TIME_WEIGHTED+"</span>"+										
			"</div>"+
			
			"<div class='rightColumn'>"+	
				"<div id='rNetChangeChart1'>"+
					"<div id='rNetChangeChart1'></div>"+                                       			
				"</div>"+								
			"</div>"+		
		"</div>"+
		"<div class='footspace'></div>"+
		
		"<div id='account2'>"+
			"<div>"+
			"<h4 class='MinDisplay, NotPhoneContent, template' style='display:inline' lookupField='ACCOUNT_DETAILS_FOR_ACCOUNT_ID_204'>"+ACCOUNT_DETAILS_FOR_ACCOUNT_ID_204+"</h4>"+
			"<h4 class='MinDisplay, NotPhoneContent, template' style='display:inline' lookupField='ACCOUNTID_205'>"+ACCOUNTID_205+"</h4>"+
			"</div>"+
			"<br>"+
		
			"<div class='leftColumn'>"+		            
				"<div id='lCurrentAssetAllocChart2'> </div>"+					
				"<br><br><br><br><br><br>"+
				"<div id='lQuarterlyReturnTable2'>"+            
					"<div id='lQuarterlyReturnTable2'> </div>"+                                    
				"</div>"+
			"<br>"+
			"<span class='MinDisplay, NotPhoneContent, template' lookupField='ANNUALIZED_TIME-WEIGHTED_233'>"+ANNUALIZED_TIME_WEIGHTED_233+"</span>"+				
			"</div>"+
		
			"<div class='rightColumn'>"+	
				"<div id='rNetChangeChart2'>"+
					"<div id='rNetChangeChart2'></div>"+                                     			
				"</div>"+								
			"</div>"+								

		"</div>"+
		"<div class='footspace'></div>"+


		"<div id='account3'>"+
			"<div>"+
			"<h4 class='MinDisplay, NotPhoneContent, template' style='display:inline' lookupField='ACCOUNT_DETAILS_FOR_ACCOUNT_ID_238'>"+ACCOUNT_DETAILS_FOR_ACCOUNT_ID_238+"</h4>"+
			"<h4 class='MinDisplay, NotPhoneContent, template' style='display:inline' lookupField='ACCOUNTID_239'>"+ACCOUNTID_239+"</h4>"+
			"</div>"+
			"<br>"+
		
			"<div class='leftColumn'>"+		            
				"<div id='lCurrentAssetAllocChart3'> </div>"+  				
                "<br><br><br><br><br><br>"+
				"<div id='lQuarterlyReturnTable3'>"+              
					"<div id='lQuarterlyReturnTable3'> </div>"+                                    
				"</div>"+
			"<br>"+
			"<span class='MinDisplay, NotPhoneContent, template' lookupField='ANNUALIZED_TIME-WEIGHTED_275'>"+ANNUALIZED_TIME_WEIGHTED_275+"</span>"+							
			"</div>"+

			"<div class='rightColumn'>"+		
				"<div id='rNetChangeChart3'>"+
					"<div id='rNetChangeChart3'></div>"+                                       			
				"</div>"+								
			"</div>"+		
									
	
		"</div>"+
		"<div class='footspace'></div>"+

		"<br>"+
		"<h3 class='MinDisplay, NotPhoneContent, template' lookupField='SUBCLASSNAME'>"+SUBCLASSNAME+"</h3>"+	
		"<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_287'>"+ASOFDATE_287+"</h4>"+
		"<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_289'>"+ID_289+"</p>"+
		"<br>"+
		"<span class='MinDisplay, NotPhoneContent, template' lookupField='CURRENT_ASSET_ALLOCATION'>"+CURRENT_ASSET_ALLOCATION+"</span>"+
		"<div id='mInternationalStocksTable'> </div>"+
		
		"<br>"+
		"<h3 class='MinDisplay, NotPhoneContent, template' lookupField='SUBCLASSNAME_312'>"+SUBCLASSNAME_312+"</h3>"+		
		"<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_313'>"+ASOFDATE_313+"</h4>"+
		"<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_316'>x-x</p>"+
		"<br>"+
		"<span class='MinDisplay, NotPhoneContent, template' lookupField='CURRENT_ASSET_ALLOCATION_317'>"+CURRENT_ASSET_ALLOCATION_317+"</span>"+
		"<div id='mUSStocksTable'> </div>"+
		
		"<br>"+
		"<h3 class='MinDisplay, NotPhoneContent, template' lookupField='SUBCLASSNAME_343'>"+SUBCLASSNAME_343+"</h3>"+		
		"<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_344'>"+ASOFDATE_344+"</h4>"+
		"<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_347'>x-x</p>"+
		"<br>"+
		"<span class='MinDisplay, NotPhoneContent, template' lookupField='CURRENT_ASSET_ALLOCATION_348'>"+CURRENT_ASSET_ALLOCATION_348+"</span>"+
		"<div id='mMunicipalBondsTable'> </div>"+
		
		"<br>"+
		"<h3 class='MinDisplay, NotPhoneContent, template' lookupField='SUBCLASSNAME_372'>"+SUBCLASSNAME_372+"</h3>"+		
		"<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_373'>"+ASOFDATE_373+"</h4>"+
		"<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_376'>"+ID_376+"</p>"+
		"<br>"+
		"<span class='MinDisplay, NotPhoneContent, template' lookupField='CURRENT_ASSET_ALLOCATION_377'>"+CURRENT_ASSET_ALLOCATION_377+"</span>"+
		"<div id='mFederalBondsTable' > </div>"+
		
		"<br>"+
		"<h3 class='MinDisplay, NotPhoneContent, template' lookupField='SUBCLASSNAME_403'>"+SUBCLASSNAME_403+"</h3>"+		
		"<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_404'>"+ASOFDATE_404+"</h4>"+
		"<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_407'>"+ID_407+"</p>"+
		"<br>"+
		"<span class='MinDisplay, NotPhoneContent, template' lookupField='CURRENT_ASSET_ALLOCATION_408'>"+CURRENT_ASSET_ALLOCATION_408+"</span>"+
		"<div id='mManagedFundsTable' > </div>"+
		
		"<br>"+
		"<h3 class='MinDisplay, NotPhoneContent, template' lookupField='SUBCLASSNAME_432'>"+SUBCLASSNAME_432+"</h3>"+		
		"<h4 class='MinDisplay, NotPhoneContent, template' lookupField='ASOFDATE_433'>"+ASOFDATE_433+"</h4>"+
		"<p class='MinDisplay, NotPhoneContent, template' lookupField='ID_436'>"+ID_436+"</p>"+
		"<br>"+
		"<span class='MinDisplay, NotPhoneContent, template' lookupField='CURRENT_ASSET_ALLOCATION_437'>"+CURRENT_ASSET_ALLOCATION_437+"</span>"+
		"<div id='mNonManagedFundsTable'> </div>"+
		
    "</div>"+
	
	"<br><br>"+
	"<script>"+
		"$(document).ready(function () {"+
								
		"var c1 = $('#CURRENTASSETVALUESDiv1').html();"+	
		"$(c1).appendTo($('#mAccountsTable'));"+
		"$('#CURRENTASSETVALUESDiv1').remove();"+	
		
		"$('#2DPIE_81').detach().appendTo($('#lCurrentAssetAllocChart1'));	"+

		"var c1 = $('#QUARTERLYRETURNDiv2').html();"+
		"$(c1).appendTo($('#lQuarterlyReturnTable1'));"+
		"$('#QUARTERLYRETURNDiv2').remove();"+
		
		"$('#2DVBAR_91').detach().appendTo($('#rNetChangeChart1'));"+		
		
		
		"$('#2DPIE_101').detach().appendTo($('#lCurrentAssetAllocChart2'));"+
		"var c1 = $('#QUARTERLYRETURN_207Div3').html();"+
		"$(c1).appendTo($('#lQuarterlyReturnTable2'));"+
		"$('#QUARTERLYRETURN_207Div3').remove();"+
		
		"$('#2DVBAR_111').detach().appendTo($('#rNetChangeChart2'));"+
		
		
		"$('#2DPIE_121').detach().appendTo($('#lCurrentAssetAllocChart3'));"+

		"var c1 = $('#QUARTERLYRETURN_245Div4').html();	"+
		"$(c1).appendTo($('#lQuarterlyReturnTable3'));"+
		"$('#QUARTERLYRETURN_245Div4').remove();"+
		
		"$('#2DVBAR_131').detach().appendTo($('#rNetChangeChart3'));"+
		
		
		
		"var c1 = $('#CURRENTASSETALLOCATIONDiv5').html();"+
		"$(c1).appendTo($('#mInternationalStocksTable'));"+
		"$('#CURRENTASSETALLOCATIONDiv5').remove();"+

		"var c1 = $('#CURRENTASSETALLOCATION_291Div6').html();"+	
		"$(c1).appendTo($('#mUSStocksTable'));"+
		"$('#CURRENTASSETALLOCATION_291Div6').remove();"+

		"var c1 = $('#CURRENTASSETALLOCATION_322Div7').html();"+
		"$(c1).appendTo($('#mMunicipalBondsTable'));"+	
		"$('#CURRENTASSETALLOCATION_322Div7').remove();"+
		
		"var c1 = $('#CURRENTASSETALLOCATION_351Div8').html();"+
		"$(c1).appendTo($('#mFederalBondsTable'));"+
		"$('#CURRENTASSETALLOCATION_351Div8').remove();"+
		
		"var c1 = $('#CURRENTASSETALLOCATION_382Div9').html();"+
		"$(c1).appendTo($('#mManagedFundsTable'));"+
		"$('#CURRENTASSETALLOCATION_382Div9').remove();"+

		"var c1 = $('#CURRENTASSETALLOCATION_411Div10').html();"+
		"$(c1).appendTo($('#mNonManagedFundsTable'));"+
		"$('#CURRENTASSETALLOCATION_411Div10').remove();"+

		"linkAccountSummaryToAccountDetails();"+
		"});"+
		
		"function linkAccountSummaryToAccountDetails(){"+
			"var tableRow = $('#CURRENTASSETVALUEST1 > tbody > tr');"+
			"$(tableRow).eq(0).click(function(event) {"+
					"clearSelections(tableRow);"+
					"$(tableRow).eq(0).css('background-color','#0193BC');"+
					"$('#account1').css('display','block');"+
					"$('#account2').css('display','none');"+
					"$('#account3').css('display','none');"+
			"});"+
			"$(tableRow).eq(1).click(function(event) {"+
					"clearSelections(tableRow);"+
					"$(tableRow).eq(1).css('background-color','#0193BC');"+
					"$('#account1').css('display','none');"+
					"$('#account2').css('display','block');"+
					"$('#account3').css('display','none');"+
			"});"+
			"$(tableRow).eq(2).click(function(event) {"+
					"clearSelections(tableRow);"+
					"$(tableRow).eq(2).css('background-color','#0193BC'); "+
					"$('#account1').css('display','none');"+
					"$('#account2').css('display','none');"+
					"$('#account3').css('display','block');"+
					
			"});"+
			
			"$(tableRow).eq(0).click();	"+
						
		"}"+

		"function clearSelections(tableRow) {"+
			"$(tableRow).eq(0).css('background-color','transparent');"+
			"$(tableRow).eq(1).css('background-color','transparent');"+
			"$(tableRow).eq(2).css('background-color','transparent');"+	
		"}"+
		"$('#shellsection').show();"+
	"</script></div>";	

	$("#overview").html(overviewHTML);
	processPageFields();
	//$("#overview").load("resources/templates/overview.html", function(responseText, statusText, xhr)
	//{		
		//if(statusText == "success"){	
			//processPageFields();					
		//}	
		//else if(statusText == "error"){										
			//alert("An error occurred while loading HTML template: " + xhr.status + " - " + xhr.statusText);					
		//}				
	//});		
}	

	function visualizeTable(aTable, tableCount) {	
		var tableId = $(aTable).attr("id");
		
		var tableDivId = tableId + "Div" +tableCount;
		newTableId = tableId + "T" + tableCount;
		
		var tableDataAsJsonString = $(aTable).text();
		var tableDataJsonObj = JSON.parse(tableDataAsJsonString);

		if($("#"+newTableId).length >0){
			return;
		}
		
		var aTableDivElement = $('<div class="tablediv" id="' + tableDivId + '"></div>');
		aTableDivElement.appendTo($(aTable).parent());
		

		//create table header row <thead>
		//var table = $('<table class="' + newTableId + '" border="1" id="' + newTableId + '"><caption></caption></table>');
		var table = $('<table class="table" id="' + newTableId + '"><caption></caption></table>');
		var thead = $("<thead></thead>");

		var rowId = tableDataJsonObj.rows[0].row;
		var trow = $('<tr id="' + rowId + '"></tr>');

		var counter = 1;
		var cellValue;
		var firstRow = tableDataJsonObj.rows[0];

		while(typeof firstRow.cells[counter] != "undefined") {
			cellValue = tableDataJsonObj.rows[0].cells[counter];
			if (cellValue == null) {
				cellValue = "";
			}
			var tcell = $('<th id="' + counter + '"></th>');
			trow.append(tcell);
			tcell.html(cellValue);
			counter++;
		}

		thead.append(trow).html();
		table.append(thead).html();

		//create table body <tbody>
		var tbody = $("<tbody></tbody>");

		for (var i = 1;i < tableDataJsonObj.rows.length;i++) {
			var rowId = tableDataJsonObj.rows[i].row;
			var trow = $('<tr class="tablesClickRow" id="' + rowId + '"></tr>');

			var counter = 1;
			var cellValue;
			var aRow = tableDataJsonObj.rows[i];
			while(typeof aRow.cells[counter] != "undefined")   {
				cellValue = aRow.cells[counter];

				if (cellValue == null) {
					cellValue = "";
				}
				var tcell = $('<td id="' + counter + '"></td>');
				trow.append(tcell);
				tcell.html(cellValue);
				counter++;

			} //while
			tbody.append(trow).html();
		} //for

		table.append(tbody).html();
		var tfoot = $("<tfoot></tfoot>");
		table.append(tfoot);

		aTableDivElement.append(table).html();
		return aTableDivElement;
		// $(aTable).remove();
	}
function emptyPageContents(){
 	$("#performance").empty();
	$("#summary").empty();
	$("#allocation").empty();
	$("#overview").empty();	
	
}

function loadCustomPageTemplate(){	
	//alert("displayFormName=" + displayFormName);
	if(displayFormName == "FS_SUMMARY" && window.appConfig.defaultMode == 0) {
		loadSummaryTemplate();
	} else if(displayFormName == "FS_PERFORMANCE" && window.appConfig.defaultMode == 0) {
		loadPerformanceTemplate();
	} else if(displayFormName == "FS_ALLOCATION" && window.appConfig.defaultMode == 0) {
		loadAllocationTemplate();
	} else if(displayFormName == "FS_OVERVIEW" && window.appConfig.defaultMode == 0) {
		loadOverviewTemplate();
	}			
}


//Reserved for logging ajax call status in future
/*$( document ).ajaxComplete(function( event, xhr, settings ) {
	if ( settings.url == "resources/templates/summary.html" ) {
		
	}
});	*/

//may need to call this only in default mode.
function cleanUp(){					
	removeExtraFieldsNTextsOnSummaryPage();
	removeExtraFieldsNTextsOnPerformancePage();
	removeExtraFieldsNTextsOnAssetAllocPage();
	removeExtraFieldsNTextsOnOnAccOverviewPage();
}	

function removeExtraFieldsNTextsOnSummaryPage(){
	//console.log('ready to cleanup');
	
	//Change in Value of Managed Portfolio
			
	$("#ID_22").remove();
	$("#YTD_VALUEAMT").remove();
	$("#YTD_VALUEAMT_23").remove();
	$("#SININC_VALUEAMT").remove();
	$("#SININC_VALUEAMT_24").remove();
	$("#ID_25").remove();
	$("#YTD_INVESTMENTAMT").remove();
	$("#YTD_INVESTMENTAMT_26").remove();
	$("#SININC_INVESTMENTAMT").remove();
	$("#SININC_INVESTMENTAMT_27").remove();
	$("#ID_28").remove();
	$("#YTD_INCOMEAMT").remove();
	$("#YTD_INCOMEAMT_29").remove();
	$("#SININC_INCOMEAMT").remove();
	$("#SININC_INCOMEAMT_30").remove();
	$("#ID_31").remove();
	$("#TOTMARKETVAL").remove();
	$("#TOTMARKETVAL_32").remove();
	$("#TOTMARKETVAL__002").remove();
	$("#TOTMARKETVAL__002_33").remove();
	
	//$("#ID_20").remove();
	$("#ID_21").remove();		
	$("#ID_34").remove();
	$("#ID_35").remove();
	$("#CLASS1_37").remove();
	$("#TOTALMARKETVALUE1_38").remove();
	$("#PERCENTAGEOFTOTAL1_39").remove();
	$("#CLASS2_40").remove();
	$("#TOTALMARKETVALUE2_41").remove();
	$("#PERCENTAGEOFTOTAL2_42").remove();
	$("#CLASS3_43").remove();
	$("#TOTALMARKETVALUE3_44").remove();
	$("#PERCENTAGEOFTOTAL3_45").remove();
	$("#CLASS4_46").remove();
	$("#TOTALMARKETVALUE4_47").remove();
	$("#PERCENTAGEOFTOTAL4_48").remove();
	$("#ID_49").remove();
	$("#VALUE_TOTALMARKETVALUE_50").remove();
	$("#YTD_INCOMEINT_54").remove();
	$("#YTD_INCOMEDIVD_56").remove();	
	$("#PAGE").remove();
	$("#OF").remove();		
	
	//current asset allocation
	$("#ID_36").remove();
	$("#ID_37").remove();
	$("#ID_38").remove();
	$("#CLASS1").remove();
	$("#CLASS1_39").remove();
	$("#TOTALMARKETVALUE1").remove();
	$("#TOTALMARKETVALUE1_40").remove();
	$("#PERCENTAGEOFTOTAL1").remove();
	$("#PERCENTAGEOFTOTAL1_41").remove();
	$("#CLASS2").remove();
	$("#CLASS2_42").remove();
	$("#TOTALMARKETVALUE2").remove();
	$("#TOTALMARKETVALUE2_43").remove();
	$("#PERCENTAGEOFTOTAL2").remove();
	$("#PERCENTAGEOFTOTAL2_44").remove();
	$("#CLASS3").remove();
	$("#CLASS3_45").remove();
	$("#TOTALMARKETVALUE3").remove();
	$("#TOTALMARKETVALUE3_46").remove();
	$("#PERCENTAGEOFTOTAL3").remove();
	$("#PERCENTAGEOFTOTAL3_47").remove();
	$("#CLASS4").remove();
	$("#CLASS4_48").remove();
	$("#TOTALMARKETVALUE4").remove();
	$("#TOTALMARKETVALUE4_49").remove();
	$("#PERCENTAGEOFTOTAL4").remove();
	$("#PERCENTAGEOFTOTAL4_50").remove();
	$("#ID_51").remove();
	$("#VALUE_TOTALMARKETVALUE_52").remove();
	$("#VALUE_TOTALMARKETVALUE").remove();
	$("#ID_52").remove();
	//Income Summary
	//$("#ID_53").remove();
	//$("#ID_54").remove();
	$("#ID_55").remove();
	$("#ID_56").remove();
	$("#YTD_INCOMEINT").remove();
	$("#YTD_INCOMEINT_57").remove();
	$("#ID_58").remove();
	$("#YTD_INCOMEDIVD").remove();
	$("#YTD_INCOMEDIVD_59").remove();			
	//footer		
	$("#ID_59").remove();
	$("#FORMSET_PAGE_NUM").remove();
	//$("#ID_60").remove();
	$("#ID_61").remove();
	$("#CUSTOMERNAME").remove();
	$("#FORMSET_PAGE_NUM_OF").remove();							
	
}			

function removeExtraFieldsNTextsOnPerformancePage()
{
	//Peformance History
	$("#EARNINGS1").remove();
	$("#MONEYINVESTED1").remove();
	$("#EARNINGS2").remove();
	$("#MONEYINVESTED2").remove();
	$("#EARNINGS3").remove();
	$("#MONEYINVESTED3").remove();
	$("#EARNINGS4").remove();
	$("#MONEYINVESTED4").remove();
	$("#EARNINGS5").remove();
	$("#MONEYINVESTED5").remove();
	$("#EARNINGS6").remove();
	$("#EARNINGS7").remove();
	$("#MONEYINVESTED6").remove();
	$("#EARNINGS8").remove();
	$("#MONEYINVESTED7").remove();
	$("#EARNINGS9").remove();
	$("#ID_66").remove();
	$("#MONEYINVESTED8").remove();
	$("#MONEYINVESTED9").remove();		
	$("#ID_67").remove();
	
	//Performance
	
	
	$("#REPORTPERIODRANGE").remove();
	$("#ID_68").remove();
	$("#ID_69").remove();
	$("#ID_70").remove();
	$("#ID_71").remove();
	$("#ID_72").remove();
	$("#ID_73").remove();
	$("#ASSETNAME1").remove();
	$("#ASSETNAME1_74").remove();
	$("#REPORTPERIOD1").remove();
	$("#REPORTPERIOD1_75").remove();		
	$("#ID_76").remove();
	$("#LASTTWELVE1").remove();
	$("#LASTTWELVE1_77").remove();
	$("#ID_78").remove();
	$("#ID_79").remove();
	$("#ASSETNAME1_002").remove();
	$("#ASSETNAME1_002_80").remove();
	$("#REPORTPERIOD1_002").remove();
	$("#REPORTPERIOD1_002_81").remove();
	$("#ID_82").remove();
	$("#LASTTWELVE1_002").remove();
	$("#LASTTWELVE1_002_83").remove();
	$("#ID_84").remove();
	$("#ID_85").remove();
	$("#ID_86").remove();
	$("#ASSETNAME2").remove();
	$("#ASSETNAME2_87").remove();
	$("#REPORTPERIOD2").remove();
	$("#REPORTPERIOD2_88").remove();
	$("#ID_89").remove();
	$("#LASTTWELVE2").remove();
	$("#LASTTWELVE2_90").remove();
	$("#ID_91").remove();
	$("#ID_92").remove();
	$("#ASSETNAME2_002").remove();
	$("#ASSETNAME2_002_93").remove();
	$("#REPORTPERIOD2_002").remove();
	$("#REPORTPERIOD2_002_94").remove();
	$("#ID_95").remove();
	$("#LASTTWELVE2_002").remove();
	$("#LASTTWELVE2_002_96").remove();
	$("#ID_97").remove();
	$("#ID_98").remove();
	$("#ID_99").remove();
	$("#ASSETNAME3").remove();
	$("#ASSETNAME3_100").remove();
	$("#REPORTPERIOD3").remove();
	$("#REPORTPERIOD3_101").remove();
	$("#ID_102").remove();
	$("#LASTTWELVE3").remove();
	$("#LASTTWELVE3_103").remove();
	//$("#ID_104").remove();
	//$("#ID_105").remove();
	$("#ASSETNAME3_002").remove();
	$("#ASSETNAME3_002_106").remove();
	$("#REPORTPERIOD3_002").remove();
	$("#REPORTPERIOD3_002_107").remove();
	//$("#ID_108").remove();
	$("#LASTTWELVE3_002").remove();
	$("#LASTTWELVE3_002_109").remove();
	//$("#ID_110").remove();

	//Annual Returns
	$("#ACTUALPERCENTAGE1").remove();
	$("#ACTUALPERCENTAGE2").remove();
	$("#ACTUALPERCENTAGE3").remove();
	$("#ACTUALPERCENTAGE4").remove();
	$("#SI_PERCENTAGE").remove();
	$("#ACTUALPERCENTAGE5").remove();
	$("#ACTUALPERCENTAGE6").remove();
	$("#BSI_PERCENTAGE").remove();
	$("#ACTUALPERCENTAGE7").remove();
	$("#ACTUALPERCENTAGE8").remove();
	$("#ACTUALPERCENTAGE9").remove();
	//$("#ID_109").remove();
	//$("#ID_110").remove();
	$("#ID_111").remove();
	$("#ID_112").remove();
	$("#ID_113").remove();	
	$("#ID_114").remove();
	
	$("#NETVALUE").remove();
	$("#YEARS").remove();
	$("#ASSETS").remove();
	$("#LAST_12_MONTHS").remove();
	//$("#ID_62").remove();
	$("#ID_63").remove();
	$("#ASSETNAME1_64").remove();
	$("#REPORTPERIOD1_65").remove();
	$("#LASTTWELVE1_67").remove();
	$("#ASSETNAME1_002_70").remove();
	$("#REPORTPERIOD1_002_71").remove();
	$("#LASTTWELVE1_002_73").remove();
	$("#ID_74").remove();
	$("#ID_75").remove();
	$("#ASSETNAME2_77").remove();
	$("#REPORTPERIOD2_78").remove();
	$("#LASTTWELVE2_80").remove();
	$("#ID_81").remove();
	$("#ASSETNAME2_002_83").remove();
	$("#REPORTPERIOD2_002_84").remove();
	$("#LASTTWELVE2_002_86").remove();
	$("#ID_87").remove();
	$("#ID_88").remove();
	$("#ASSETNAME3_90").remove();
	$("#REPORTPERIOD3_91").remove();
	$("#LASTTWELVE3_93").remove();
	$("#ID_94").remove();
	$("#ASSETNAME3_002_96").remove();
	$("#REPORTPERIOD3_002_97").remove();
	$("#LASTTWELVE3_002_99").remove();
	$("#ID_100").remove();
	
	$("#ID_103").remove();
	//$("#ID_104").remove();
	$("#PERCENTAGE").remove();
	$("#YEARS_101").remove();		
	
	$("#CUSTOMERNAME_108").remove();		
	$("#PAGE_109").remove();
	$("#FORMSET_PAGE_NUM_110").remove();
	$("#OF_111").remove();
	$("#FORMSET_PAGE_NUM_OF_112").remove();
		
	//page number footer
	//$("#ID_120").remove();
	$("#FORMSET_PAGE_NUM_121").remove();
	$("#ID_122").remove();
	$("#FORMSET_PAGE_NUM_OF_123").remove();
				
}

function removeExtraFieldsNTextsOnAssetAllocPage(){		
	
	$("#ID_130").remove();
	$("#ID_131").remove();
	$("#ID_132").remove();
	$("#CLASS1_133").remove();
	$("#CLASS1_134").remove();
	$("#TOTALMARKETVALUE1_135").remove();
	$("#TOTALMARKETVALUE1_136").remove();
	$("#PERCENTAGEOFTOTAL1_137").remove();
	$("#PERCENTAGEOFTOTAL1_138").remove();
	$("#CLASS2_139").remove();
	$("#CLASS2_140").remove();
	$("#TOTALMARKETVALUE2_141").remove();
	$("#TOTALMARKETVALUE2_142").remove();
	$("#PERCENTAGEOFTOTAL2_143").remove();
	$("#PERCENTAGEOFTOTAL2_144").remove();
	$("#CLASS3_145").remove();
	$("#CLASS3_146").remove();
	$("#TOTALMARKETVALUE3_147").remove();
	$("#TOTALMARKETVALUE3_148").remove();
	$("#PERCENTAGEOFTOTAL3_149").remove();
	$("#PERCENTAGEOFTOTAL3_150").remove();
	$("#CLASS4_151").remove();
	$("#CLASS4_152").remove();
	$("#TOTALMARKETVALUE4_153").remove();
	$("#TOTALMARKETVALUE4_154").remove();
	$("#PERCENTAGEOFTOTAL4_155").remove();
	$("#PERCENTAGEOFTOTAL4_156").remove();
	$("#ID_157").remove();
	$("#VALUE_TOTALMARKETVALUE_159").remove();
	$("#ID_160").remove();


	$("#MFUNDSPERCENTAGE1").remove();
	$("#STOCKSPERCENTAGE1").remove();
	$("#BONDSPERCENTAGE1").remove();
	$("#MFUNDSPERCENTAGE2").remove();
	$("#STOCKSPERCENTAGE2").remove();
	$("#BONDSPERCENTAGE2").remove();
	$("#MFUNDSPERCENTAGE3").remove();
	$("#BONDSPERCENTAGE3").remove();
	$("#MFUNDSPERCENTAGE4").remove();
	//$("#ID_161").remove();			
	$("#CASHPERCENTAGE1").remove();
	$("#CASHPERCENTAGE2").remove();
	$("#CASHPERCENTAGE3").remove();
	$("#CASHPERCENTAGE4").remove();
	$("#STOCKSPERCENTAGE3").remove();
	$("#STOCKSPERCENTAGE4").remove();
	$("#BONDSPERCENTAGE4").remove();
	$("#MFUNDSPERCENTAGE5").remove();
	$("#CASHPERCENTAGE5").remove();
	$("#STOCKSPERCENTAGE5").remove();
	$("#BONDSPERCENTAGE5").remove();
	$("#MFUNDSPERCENTAGE6").remove();
	$("#CASHPERCENTAGE6").remove();
	$("#STOCKSPERCENTAGE6").remove();
	$("#BONDSPERCENTAGE6").remove();
	$("#MFUNDSPERCENTAGE7").remove();
	$("#CASHPERCENTAGE7").remove();
	$("#STOCKSPERCENTAGE7").remove();
	$("#BONDSPERCENTAGE7").remove();
	$("#MFUNDSPERCENTAGE8").remove();
	$("#CASHPERCENTAGE8").remove();
	$("#MFUNDSPERCENTAGE9").remove();
	$("#CASHPERCENTAGE9").remove();
	$("#STOCKSPERCENTAGE8").remove();
	$("#BONDSPERCENTAGE8").remove();
	$("#STOCKSPERCENTAGE9").remove();
	$("#BONDSPERCENTAGE9").remove();
	$("#ID_162").remove();


	$("#AVERAGEPERCENTAGE1").remove();
	$("#AVERAGEPERCENTAGE10").remove();
	$("#AVERAGEPERCENTAGE20").remove();
	$("#MAXIMUMPERCENTAGE1").remove();
	$("#MAXIMUMPERCENTAGE10").remove();
	$("#MAXIMUMPERCENTAGE20").remove();
	
	$("#MINIMUMPERCENTAGE1").remove();
	$("#MINIMUMPERCENTAGE10").remove();
	$("#MINIMUMPERCENTAGE20").remove();
	$("#ID_164").remove();
	$("#ID_165").remove();
	$("#ID_166").remove();
	$("#ID_167").remove();

	$("#ID_171").remove();
	$("#FORMSET_PAGE_NUM_172").remove();
	$("#ID_173").remove();
	$("#FORMSET_PAGE_NUM_OF_174").remove();	

	$("#CLASS3_134").remove();
	$("#TOTALMARKETVALUE3_135").remove();
	$("#TOTALMARKETVALUE3_136").remove();
	$("#PERCENTAGEOFTOTAL3_137").remove();
	$("#PERCENTAGEOFTOTAL3_138").remove();
	$("#CLASS4_139").remove();		
	$("#CLASS4_140").remove();
	$("#TOTALMARKETVALUE4_141").remove();
	$("#TOTALMARKETVALUE4_142").remove();
	$("#PERCENTAGEOFTOTAL4_143").remove();
	$("#PERCENTAGEOFTOTAL4_144").remove();
	$("#ID_145").remove();
	$("#VALUE_TOTALMARKETVALUE_146").remove();
	$("#VALUE_TOTALMARKETVALUE_147").remove();
	$("#ID_148").remove();
	$("#ID_118").remove();
	$("#ID_119").remove();
	$("#CLASS1_121").remove();
	$("#CLASS1_122").remove();
	$("#TOTALMARKETVALUE1_123").remove();
	$("#TOTALMARKETVALUE1_124").remove();		
	$("#PERCENTAGEOFTOTAL1_125").remove();
	$("#PERCENTAGEOFTOTAL1_126").remove();
	$("#CLASS2_127").remove();
	$("#CLASS2_128").remove();
	$("#TOTALMARKETVALUE2_129").remove();
	$("#TOTALMARKETVALUE2_130").remove();
	$("#PERCENTAGEOFTOTAL2_131").remove();
	$("#PERCENTAGEOFTOTAL2_132").remove();
	$("#CLASS3_133").remove();
	$("#PERCENTAGEOFTOTAL").remove();
	$("#YEARS_149").remove();
	$("#PERCENTAGE_150").remove();
	$("#__YR").remove();
	$("#_0_YR").remove();
	$("#_0_YR_151").remove();
	$("#CUSTOMERNAME_153").remove();
	$("#PAGE_154").remove();
	$("#FORMSET_PAGE_NUM_155").remove();
	$("#OF_156").remove();
	$("#FORMSET_PAGE_NUM_OF_157").remove();

}

function removeExtraFieldsNTextsOnOnAccOverviewPage(){
	//Overview By Account
	//FS_OVERVIEWBYACCOUNT_YA_TBL1----CurrentAssetValues
	$("#ID_179").remove();
	$("#ID_180").remove();
	$("#ID_181").remove();
	$("#ID_182").remove();
	$("#ACCOUNTNAME_002").remove();
	$("#ACCOUNTNAME_003").remove();
	$("#ACCOUNTNAME").remove();
	$("#ACCOUNTNAME_183").remove();
	$("#ACCOUNTID").remove();
	$("#ACCOUNTID_184").remove();
	$("#ACCOUNT_TOTALMARKETVALUE").remove();
	$("#ACCOUNT_TOTALMARKETVALUE_185").remove();
	$("#ACCOUNTNAME_186").remove();
	$("#ACCOUNTNAME_002_187").remove();
	$("#ACCOUNTNAME_002_188").remove();
	//$("#ACCOUNTID_002").remove();
	$("#ACCOUNTID_002_189").remove();
	$("#ACCOUNT_TOTALMARKETVALUE_002").remove();
	$("#ACCOUNT_TOTALMARKETVALUE_002_190").remove();
	$("#ACCOUNTNAME_002_191").remove();
	$("#ACCOUNTNAME_003_192").remove();
	$("#ACCOUNTNAME_003_193").remove();
	$("#ACCOUNTID_003").remove();
	$("#ACCOUNTID_003_194").remove();
	$("#ACCOUNT_TOTALMARKETVALUE_003").remove();
	$("#ACCOUNT_TOTALMARKETVALUE_003_195").remove();
	$("#ACCOUNTNAME_003_196").remove();
	//FS_OVERVIEWBYACCOUNT_CAA_CHART1----Account Details for Account ID:1-456-21-00

	$("#MB_SCPERCENTAGEOFTOTAL").remove();
	$("#FB_SCPERCENTAGEOFTOTAL").remove();
	$("#MF_SCPERCENTAGEOFTOTAL").remove();
	$("#NMF_SCPERCENTAGEOFTOTAL").remove();
	$("#CASH_SCPERCENTAGEOFTOTAL").remove();
	$("#IS_SCPERCENTAGEOFTOTAL").remove();
	$("#USS_SCPERCENTAGEOFTOTAL").remove();
	//FS_OVERVIEWBYACCOUNT_CAA_CHART1 -- Account Details for Account ID:1-456-21-01
	$("#CASH_SCPERCENTAGEOFTOTAL_224").remove();
	$("#IS_SCPERCENTAGEOFTOTAL_227").remove();
	$("#USS_SCPERCENTAGEOFTOTAL_228").remove();
	$("#MB_SCPERCENTAGEOFTOTAL_230").remove();
	$("#FB_SCPERCENTAGEOFTOTAL_231").remove();
	$("#MF_SCPERCENTAGEOFTOTAL_232").remove();
	$("#NMF_SCPERCENTAGEOFTOTAL_233").remove();
	//FS_OVERVIEWBYACCOUNT_CAA_CHART1      ---- Account Details for Account ID: 1-456-21-02
	$("#CASH_SCPERCENTAGEOFTOTAL_257").remove();
	$("#IS_SCPERCENTAGEOFTOTAL_260").remove();
	$("#USS_SCPERCENTAGEOFTOTAL_261").remove();
	$("#MB_SCPERCENTAGEOFTOTAL_263").remove();
	$("#FB_SCPERCENTAGEOFTOTAL_264").remove();
	$("#MF_SCPERCENTAGEOFTOTAL_265").remove();
	$("#NMF_SCPERCENTAGEOFTOTAL_266").remove();
	//FS_OVERVIEWBYACCOUNT_NCIAV_CHART1---2DVBAR_9
	$("#INVSIAMOUNT").remove();
	$("#VALSIAMOUNT").remove();
	$("#INCSIAMOUNT").remove();
	$("#ID_200").remove();
	//FS_OVERVIEWBYACCOUNT_NCIAV_CHART1-----2DVBAR_11
	$("#INVSIAMOUNT_235").remove();
	$("#VALSIAMOUNT_236").remove();
	$("#INCSIAMOUNT_237").remove();
	$("#ID_238").remove();
	//FS_OVERVIEWBYACCOUNT_NCIAV_CHART1-----2DVBAR_13
	$("#INVSIAMOUNT_268").remove();
	$("#VALSIAMOUNT_269").remove();
	$("#INCSIAMOUNT_270").remove();
	$("#ID_271").remove();
	//FS_OVERVIEWBYACCOUNT_QRSIR_TBL1
	$("#REPORTPERIOD_203").remove();
	$("#INPERIOD_PERCENT").remove();
	$("#REPORTPERIOD_204").remove();
	$("#REPORTPERIOD_205").remove();
	$("#REPORTPERIOD_206").remove();
	$("#INPERIOD_PERCENT_207").remove();
	$("#ID_208").remove();
	$("#SINCEINCEPTION_PERCENT").remove();
	$("#SINCEINCEPTION_PERCENT_209").remove();
	$("#ID_210").remove();
	$("#ID_211").remove();

	$("#REPORTPERIOD_242").remove();
	$("#INPERIOD_PERCENT_243").remove();
	$("#REPORTPERIOD_244").remove();
	$("#REPORTPERIOD_245").remove();
	$("#REPORTPERIOD_246").remove();
	$("#INPERIOD_PERCENT_247").remove();
	$("#ID_248").remove();
	$("#SINCEINCEPTION_PERCENT_249").remove();
	$("#SINCEINCEPTION_PERCENT_250").remove();
	$("#ID_251").remove();
	$("#ID_252").remove();     
	  
	$("#REPORTPERIOD_283").remove();
	$("#INPERIOD_PERCENT_284").remove();
	$("#REPORTPERIOD_285").remove();
	$("#REPORTPERIOD_286").remove();
	$("#REPORTPERIOD_287").remove();
	$("#INPERIOD_PERCENT_288").remove();
	//$("#ID_289").remove();
	$("#SINCEINCEPTION_PERCENT_290").remove();
	$("#SINCEINCEPTION_PERCENT_291").remove();
	$("#ID_292").remove();
	$("#ID_293").remove();          
	//FS_SUBCLASS_CAA-----------CurrentAssetAllocation--International Stocks
	
	$("#ID_286").remove();
	$("#ID_287").remove();
	$("#ASSETNAME_002").remove();		
	$("#ASSETSYMBOL_002").remove();
	//$("#ID_289").remove();
	$("#ID_290").remove();
	$("#ASSETNAME_291").remove();		
	$("#ASSETSYMBOL").remove();
	$("#ASSETNAME_292").remove();		
	$("#ASSETSYMBOL_293").remove();
	$("#ID_294").remove();
	$("#ID_295").remove();
	//FS_SUBCLASS_CAA-------------US Stocks
	//$("#ID_316").remove();
	$("#ID_317").remove();
	$("#ID_319").remove();
	$("#ID_320").remove();
	$("#ID_322").remove();
	$("#ID_323").remove();

	//FS_SUBCLASS_CAA-------------Municipal Bonds
	$("#ID_346").remove();
	//$("#ID_347").remove();
	$("#ID_349").remove();
	$("#ID_350").remove();
	$("#ID_352").remove();
	$("#ID_353").remove();
	//FS_SUBCLASS_CAA-------------Federal Bonds
	$("#ID_374").remove();
	$("#ID_375").remove();
	$("#ID_377").remove();
	$("#ID_378").remove();
	$("#ID_380").remove();
	$("#ID_381").remove();
	//FS_SUBCLASS_CAA-------------Managed Funds
	$("#ID_404").remove();
	$("#ID_405").remove();
	//$("#ID_407").remove();
	$("#ID_408").remove();
	$("#ID_410").remove();
	$("#ID_411").remove();
	//FS_SUBCLASS_CAA-------------Non-Managed Funds
	$("#ID_432").remove();
	$("#ID_433").remove();
	$("#ID_435").remove();
	//$("#ID_436").remove();
	$("#ID_438").remove();
	$("#ID_439").remove();
		   


	//footer content
	$("#PAGE_298").remove();
	$("#CUSTOMERNAME_297").remove();
	$("#OF_300").remove();
	
	$("#PAGE_326").remove();
	$("#CUSTOMERNAME_325").remove();
	$("#OF_328").remove();

	$("#PAGE_356").remove();
	$("#CUSTOMERNAME_355").remove();
	$("#OF_358").remove();

	$("#PAGE_384").remove();
	$("#CUSTOMERNAME_383").remove();
	$("#OF_386").remove();

	$("#PAGE_414").remove();
	$("#CUSTOMERNAME_413").remove();
	$("#OF_416").remove();


	//FS_OVERVIEWBYACCOUNT_QRSIR_TBL1
	$("#CUSTOMERNAME_205").remove();
	$("#ID_206").remove();
	$("#ID_208").remove();
	//FS_OVERVIEWBYACCOUNT_QRSIR_TBL1
	$("#CUSTOMERNAME_273").remove();
	$("#ID_274").remove();
	$("#ID_276").remove();

	$("#CUSTOMERNAME_253").remove();
	$("#ID_254").remove();
	$("#FORMSET_PAGE_NUM_255").remove();
	$("#ID_256").remove();
	$("#FORMSET_PAGE_NUM_OF_257").remove();
	$("#ID_258").remove();
	$("#CUSTOMERNAME_292").remove();
	$("#ID_293").remove();
	$("#FORMSET_PAGE_NUM_294").remove();
	$("#ID_295").remove();
	$("#ID_278").remove();
	$("#ID_210").remove();
	
	//$("#ID_163").remove();
	$("#ACCOUNTNAME_166").remove();
	$("#ACCOUNTID_167").remove();
	$("#ACCOUNT_TOTALMARKETVALUE_168").remove();
	$("#ACCOUNTNAME_169").remove();
	$("#ACCOUNTNAME_002_170").remove();
	$("#ACCOUNTNAME_002_171").remove();
	$("#ACCOUNTID_002_172").remove();
	$("#ACCOUNT_TOTALMARKETVALUE_002_173").remove();
	$("#ACCOUNTNAME_002_174").remove();
	$("#ACCOUNTNAME_003_175").remove();
	$("#ACCOUNTNAME_003_176").remove();
	$("#ACCOUNTID_003_177").remove();
	$("#ACCOUNT_TOTALMARKETVALUE_003_178").remove();
	$("#ACCOUNTNAME_003_179").remove();
	$("#AMOUNT").remove();
	
	$("#QUARTERLY_RETURN").remove();
	$("#INCEPTION_RETURN").remove();
	$("#REPORTPERIOD_181").remove();
	$("#REPORTPERIOD_182").remove();
	$("#REPORTPERIOD_183").remove();
	$("#REPORTPERIOD_184").remove();
	$("#INPERIOD_PERCENT_185").remove();
	$("#ID_186").remove();
	$("#SINCEINCEPTION_PERCENT_187").remove();
	$("#ID_188").remove();
	$("#ID_189").remove();
	$("#CUSTOMERNAME_193").remove();
	$("#PAGE_194").remove();
	$("#FORMSET_PAGE_NUM_195").remove();
	$("#OF_196").remove();
	$("#FORMSET_PAGE_NUM_OF_197").remove();
	$("#ALAMERE_TOTAL_FINANCIAL_SOLUTIONS_HEADER_199").remove();
	$("#INPERIOD_PERCENT_185").remove();
	$("#CASH_SCPERCENTAGEOFTOTAL_201").remove();
	//$("#ACCOUNT_DETAILS_FOR_ACCOUNT_ID_202").remove();
	//$("#ACCOUNTID_203").remove();
	$("#IS_SCPERCENTAGEOFTOTAL_204").remove();
	$("#USS_SCPERCENTAGEOFTOTAL_205").remove();
	$("#CURRENT_ASSET_ALLOCATION_TITLE_206").remove();
	$("#MB_SCPERCENTAGEOFTOTAL_207").remove();
	$("#FB_SCPERCENTAGEOFTOTAL_208").remove();
	$("#MF_SCPERCENTAGEOFTOTAL_209").remove();
	$("#NMF_SCPERCENTAGEOFTOTAL_210").remove();
	$("#INVSIAMOUNT_212").remove();
	$("#VALSIAMOUNT_213").remove();
	$("#INCSIAMOUNT_214").remove();
	$("#AMOUNT_215").remove();
	
	$("#QUARTERLY_RETURN_217").remove();
	$("#INCEPTION_RETURN_218").remove();
	$("#REPORTPERIOD_219").remove();
	$("#INPERIOD_PERCENT_220").remove();
	$("#REPORTPERIOD_221").remove();
	$("#REPORTPERIOD_222").remove();
	$("#REPORTPERIOD_223").remove();
	$("#INPERIOD_PERCENT_224").remove();
	$("#ID_225").remove();
	$("#SINCEINCEPTION_PERCENT_226").remove();
	$("#SINCEINCEPTION_PERCENT_227").remove();
	$("#ID_228").remove();
	$("#ID_229").remove();
	$("#QuarterlyReturnDiv3").remove();
	$("#QuarterlyReturnDiv3").remove();
	$("#CASH_SCPERCENTAGEOFTOTAL_234").remove();
	$("#IS_SCPERCENTAGEOFTOTAL_237").remove();
	$("#USS_SCPERCENTAGEOFTOTAL_238").remove();
	$("#MB_SCPERCENTAGEOFTOTAL_240").remove();
	$("#FB_SCPERCENTAGEOFTOTAL_241").remove();
	$("#MF_SCPERCENTAGEOFTOTAL_242").remove();
	$("#NMF_SCPERCENTAGEOFTOTAL_243").remove();
	$("#CURRENT_ASSET_ALLOCATION_TITLE").remove();
	$("#CURRENT_ASSET_ALLOCATION_TITLE_239").remove();	

	$("#INVSIAMOUNT_245").remove();
	$("#VALSIAMOUNT_246").remove();
	$("#INCSIAMOUNT_247").remove();
	$("#AMOUNT_248").remove();
	
	$("#CUSTOMERNAME_441").remove();	
	$("#PAGE_442").remove();
	$("#FORMSET_PAGE_NUM_443").remove();
	$("#OF_444").remove();
	$("#FORMSET_PAGE_NUM_OF_445").remove();
	$("#FORMSET_PAGE_NUM_415").remove();
	$("#FORMSET_PAGE_NUM_OF_417").remove();
	$("#ALAMERE_TOTAL_FINANCIAL_SOLUTIONS_HEADER_421").remove();
	$("#FORMSET_PAGE_NUM_385").remove();
	$("#FORMSET_PAGE_NUM_OF_387").remove();
	$("#ALAMERE_TOTAL_FINANCIAL_SOLUTIONS_HEADER_393").remove();
	
	$("#FORMSET_PAGE_NUM_357").remove();
	$("#FORMSET_PAGE_NUM_OF_359").remove();
	$("#ALAMERE_TOTAL_FINANCIAL_SOLUTIONS_HEADER_363").remove();
	
	$("#FORMSET_PAGE_NUM_327").remove();
	$("#FORMSET_PAGE_NUM_OF_329").remove();
	$("#ALAMERE_TOTAL_FINANCIAL_SOLUTIONS_HEADER_335").remove();
	
	$("#FORMSET_PAGE_NUM_299").remove();
	$("#FORMSET_PAGE_NUM_OF_301").remove();
	$("#ALAMERE_TOTAL_FINANCIAL_SOLUTIONS_HEADER_305").remove();
	
	$("#CUSTOMERNAME_274").remove();
	$("#PAGE_275").remove();
	$("#FORMSET_PAGE_NUM_276").remove();
	$("#OF_277").remove();
	$("#FORMSET_PAGE_NUM_OF_278").remove();
	$("#ALAMERE_TOTAL_FINANCIAL_SOLUTIONS_HEADER_282").remove();
	
	
	$("#CUSTOMERNAME_250").remove();
	$("#PAGE_251").remove();
	$("#FORMSET_PAGE_NUM_252").remove();
	
	$("#OF_253").remove();
	$("#FORMSET_PAGE_NUM_OF_254").remove();
	$("#ALAMERE_TOTAL_FINANCIAL_SOLUTIONS_HEADER_256").remove();
	
	$("#QuarterlyReturn").remove();
	$("#INCEPTION_RETURN_259").remove();
	$("#QUARTERLY_RETURN_258").remove();
	
	$("#REPORTPERIOD_260").remove();
	$("#INPERIOD_PERCENT_261").remove();
	$("#REPORTPERIOD_262").remove();
	$("#REPORTPERIOD_263").remove();
	$("#REPORTPERIOD_264").remove();
	$("#INPERIOD_PERCENT_265").remove();
	
	$("#ID_266").remove();
	$("#SINCEINCEPTION_PERCENT_267").remove();
	$("#SINCEINCEPTION_PERCENT_268").remove();
	$("#ID_269").remove();
	$("#ID_270").remove();
	
}	